#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  color: #2c3e50;
}

#transactionList {
  border-right: 1px solid rgba(0,0,0,.125);
  min-height: 100vh;
  
}

#transactionDetail {
  position: relative;
  text-align: center;
}

#transactionDetail .close-button {
  /* values from bootstrap */
  position: absolute;
  top: 1rem;
  right: calc(var(--bs-gutter-x) * .5);
}

#add-item:hover{background-color: #f8f9fa;}
#add-item:active{background-color: #e9ecef;}
/* selected: class active */
#add-item.active{background-color: #0d6efd; color:#fff;}

.transactionRow hr {
  border: 0;
  margin-top: 0;
  margin-bottom: 0;
  height: 4px;
}
 
/* should use CSS variables to avoid repetition */

hr.category-color-1  {background: #c294c2}
hr.category-color-2  {background: #fe3168}
hr.category-color-3  {background: #ffb202}
hr.category-color-4  {background: #04cbcb}
hr.category-color-5  {background: #b88667}
hr.category-color-6  {background: #ff87c2}
hr.category-color-7  {background: #89d1ff}
hr.category-color-8  {background: #677fe0; opacity: 0.5;}
hr.category-color-9  {background: #9b59b6; opacity: 0.5;}
hr.category-color-10 {background: #1ac95d}
hr.category-color-11 {background: #fb5d6a}
hr.category-color-12 {background: #717fc3}


#transactionDetail strong {border-bottom: 4px solid;}

#transactionDetail strong.category-color-1  {border-color: #c294c2}
#transactionDetail strong.category-color-2  {border-color: #fe3168}
#transactionDetail strong.category-color-3  {border-color: #ffb202}
#transactionDetail strong.category-color-4  {border-color: #04cbcb}
#transactionDetail strong.category-color-5  {border-color: #b88667}
#transactionDetail strong.category-color-6  {border-color: #ff87c2}
#transactionDetail strong.category-color-7  {border-color: #89d1ff}
#transactionDetail strong.category-color-8  {border-color: #677fe0}
#transactionDetail strong.category-color-9  {border-color: #9b59b6}
#transactionDetail strong.category-color-10 {border-color: #1ac95d}
#transactionDetail strong.category-color-11 {border-color: #fb5d6a}
#transactionDetail strong.category-color-12 {border-color: #717fc3}

